org.apache.velocity.tools.config

## Class Data.NumberConverter

- java.lang.Object
- - org.apache.velocity.tools.config.Data.NumberConverter

All Implemented Interfaces:
  org.apache.commons.beanutils.Converter

Enclosing class:
  Data

    protected static class Data.NumberConverter
    extends Object
    implements org.apache.commons.beanutils.Converter

### Constructor Summary

Constructors
`protected` `NumberConverter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `convert(Class type, Object obj)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NumberConverter

    protected NumberConverter()

### Method Detail

#### convert

    public Object convert(Class type,
                          Object obj)

Specified by:
  `convert` in interface `org.apache.commons.beanutils.Converter`